> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Sensitive Info



## OpenAPI

````yaml GET /cards/card-sensitive-info
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /cards/card-sensitive-info:
    description: >
      Generate a short-lived one-time URL for retrieving sensitive information
      for a card. The returned URL must be consumed directly by the client
      facing application, through the client's IP address provided in the
      retrieval request.


      The API Response of the callback URL will contain the following payload


      ```

      {
        "cardId": "b39fcdfe-2ca0-49fc-b941-9b94ea1a51b3",
        "cardNumber": "4242424212341234",
        "expiryMonth": "11",
        "expiryYear": "2028",
        "securityCode": "001"
      }

      ```
    get:
      tags:
        - Cards
      summary: Get Card Sensitive Info
      operationId: getCardSensitiveDetails
      parameters:
        - name: cardAccountId
          description: Card account ID of the card to retrieve sensitive information for
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: cardId
          description: Card ID of the card to retrieve sensitive information for
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: ipAddress
          in: query
          description: Client IP address
          required: true
          schema:
            type: string
            pattern: >
              ^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$
            example: 8.8.8.8
            format: ipv4-address
      responses:
        '200':
          description: Card security code retrieval URL generated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  expiry:
                    type: string
                    format: date-time
                    example: '2022-12-06T02:36:39.975Z'
                    description: Expiry time of the URL in ISO8601
                  url:
                    type: string
                    example: >-
                      https://access.utgl.io/v1/secure-content/2e91c5ac-eaaf-4274-9afd-520aa35c190e
                    description: URL to retrieve card sensitive information
components:
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````